package:
  name: data2passcal
  version: 2024.2.0.1

source:
  path: ../

build:
  noarch: python
  script: {{ PYTHON }} -m pip install . --no-deps -vv

requirements:
  build:
    - python >=3.9
    - pip
    - setuptools
  run:
    - python >=3.9

test:
  requires:
    - mock # [py<33]
  source_files:
    - tests
  commands:
    - python -m unittest tests.test_data2passcal

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/software_public/passoft/data2passcal
  license: GPLv3
  license_file: LICENSE
  summary: Send MSEED files ready for archival at the DMC to PASSCAL's QC system
